Overview | Package | Class | Use | Tree | Deprecated | Index | Help
PREV CLASS NEXT CLASS | FRAMES NO FRAMES
SUMMARY: NESTED | FIELD | CONSTR | METHOD | DETAIL: FIELD | CONSTR | METHOD

## org.apache.poi.hssf.record.common
Class UnicodeString.FormatRun

    java.lang.Object
      org.apache.poi.hssf.record.common.UnicodeString.FormatRun

All Implemented Interfaces:
  java.lang.Comparable<UnicodeString.FormatRun>

Enclosing class:
  UnicodeString

    public static class UnicodeString.FormatRun

extends java.lang.Object
implements java.lang.Comparable<UnicodeString.FormatRun>

Constructor Summary
`UnicodeString.FormatRun(LittleEndianInput in)`
`UnicodeString.FormatRun(short character, short fontIndex)`

Method Summary
`int` | `compareTo(UnicodeString.FormatRun r)`
`boolean` | `equals(java.lang.Object o)`
`short` | `getCharacterPos()`
`short` | `getFontIndex()`
`void` | `serialize(LittleEndianOutput out)`
`java.lang.String` | `toString()`

Methods inherited from class java.lang.Object
`clone, finalize, getClass, hashCode, notify, notifyAll, wait, wait, wait`

Constructor Detail

### UnicodeString.FormatRun

    public UnicodeString.FormatRun(short character,
                                   short fontIndex)

### UnicodeString.FormatRun

    public UnicodeString.FormatRun(LittleEndianInput in)

Method Detail

### getCharacterPos

    public short getCharacterPos()

### getFontIndex

    public short getFontIndex()

### equals

    public boolean equals(java.lang.Object o)

  Overrides:
    `equals` in class `java.lang.Object`

### compareTo

    public int compareTo(UnicodeString.FormatRun r)

  Specified by:
    `compareTo` in interface `java.lang.Comparable<UnicodeString.FormatRun>`

### toString

    public java.lang.String toString()

  Overrides:
    `toString` in class `java.lang.Object`

### serialize

    public void serialize(LittleEndianOutput out)

Overview | Package | Class | Use | Tree | Deprecated | Index | Help
PREV CLASS NEXT CLASS | FRAMES NO FRAMES
SUMMARY: NESTED | FIELD | CONSTR | METHOD | DETAIL: FIELD | CONSTR | METHOD

Copyright 2010 The Apache Software Foundation or its licensors, as applicable.